[ Maverik Level 1 typedefs ]

#

MAV_hellipse

## Summary

Default object class ``half ellipse''.

## Syntax

    typedef struct {
      float radius;
      float height;
      int nverts;
      int nchips;
      int endcap;
      MAV_surfaceParams *sp;
      MAV_matrix matrix;
      void *userdef;
    } MAV_hellipse;

## Description

The half ellipse is defined as the positive Z half-space of an ellipse.

When rendered, `nverts` vertices are used to facet the curved surface of the half ellipse around the Z axis, and `nchips` vertices around the X axis from 0 to 90 degrees. Both values are only applicable if they are greater than two and `mav_opt_curveLOD` is not set. The symbolic constant `endcap`, set to `MAV_TRUE` or `MAV_FALSE`, control whether or not the object has an endface or is effectively hollow.

Back to the index page.